import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../pages/main/index.vue'
import Login from '../pages/login/login.vue'
Vue.use(VueRouter)
const routes = [{
    path: '/',
    name: 'index',
    component: Index,
    redirect: '/leader',
    children: [
        {
            meta: { name: '宣传稿件审批', keepAlive: false },
            path: '/infotechgjsp',
            name: 'infotechgjsp',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/infotech/index.vue'], resolve)
        },
        {
            meta: { name: '绩效', keepAlive: false },
            path: '/performance',
            name: 'performance',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/performance/index.vue'], resolve)
        },
        {
            meta: { name: '部门工作清单', keepAlive: false },
            path: '/departWorkLists',
            name: 'departWorkLists',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/departWorkLists/index.vue'], resolve)
        },
        {
            meta: { name: '宣传稿件下发', keepAlive: false, type: 1 },
            path: '/infotechgj',
            name: 'infotechgj',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/infotech/index1.vue'], resolve)
        },
        {
            meta: { name: '营销经验', keepAlive: false },
            path: '/experCollecInfo',
            name: 'experCollecInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/propaganda/experCollecInfo.vue'], resolve)
        },
        {
            meta: { name: '营销经验库', keepAlive: false },
            path: '/experCollec',
            name: 'experCollec',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/propaganda/experCollec.vue'], resolve)
        },
        {
            meta: { name: '营销经验收集', keepAlive: false },
            path: '/experienceCollec',
            name: 'experienceCollec',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/propaganda/experienceCollec.vue'], resolve)
        },
        {
            meta: { name: '厅店级宣传点位清单', keepAlive: false },
            path: '/Hallstore',
            name: 'Hallstore',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/propaganda/Hallstore.vue'], resolve)
        },
        {
            meta: { name: '宣传点位清单', keepAlive: false },
            path: '/pointPosition',
            name: 'pointPosition',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/propaganda/pointPosition.vue'], resolve)
        },
        {
            meta: { name: '宣传落实', keepAlive: false },
            path: '/propaganda',
            name: 'propaganda',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/propaganda/index.vue'], resolve)
        },
        {
            meta: { name: '集中考核处理', keepAlive: false },
            path: '/foocusAssessH',
            name: 'foocusAssessH',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/foocusAssessH.vue'], resolve)
        },
        {
            meta: { name: '集中考核', keepAlive: false },
            path: '/foocusAssess',
            name: 'foocusAssess',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/foocusAssess.vue'], resolve)
        },
        {
            meta: { name: '培训统计', keepAlive: false },
            path: '/trainStatis',
            name: 'trainStatis',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/trainStatis.vue'], resolve)
        },
        {
            meta: { name: '培训结果', keepAlive: false },
            path: '/trainReason',
            name: 'trainReason',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/trainReason.vue'], resolve)
        },
        {
            meta: { name: '培训考核', keepAlive: false },
            path: '/trainAssess',
            name: 'trainAssess',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/trainAssess.vue'], resolve)
        },
        {
            meta: { name: '培训计划', keepAlive: false },
            path: '/trainingPlan',
            name: 'trainingPlan',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/trainingPlan.vue'], resolve)
        },
        {
            meta: { name: '直营店营销调度管理', keepAlive: false },
            path: '/marketSchedul',
            name: 'marketSchedul',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/marketSchedul/index.vue'], resolve)
        },
        {
            meta: { name: '产品品质端到端', keepAlive: false },
            path: '/endToEnd',
            name: 'endToEnd',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/endToEnd/index.vue'], resolve)
        },
        {
            meta: { name: '管理规范', keepAlive: false },
            path: '/standard',
            name: 'standard',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/standard.vue'], resolve)
        },
        {
            meta: { name: '预算管理', keepAlive: false },
            path: '/businessbudget',
            name: 'businessbudget',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/businessbudget.vue'], resolve)
        },
        {
            meta: { name: '效益评估', keepAlive: false },
            path: '/benefitEvalua',
            name: 'benefitEvalua',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/benefitEvalua.vue'], resolve)
        },
        {
            meta: { name: '台席管理统计', keepAlive: false },
            path: '/stageCensus',
            name: 'stageCensus',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/stageCensus.vue'], resolve)
        },
        {
            meta: { name: '台席管理查看', keepAlive: false },
            path: '/stageSeatcheck',
            name: 'stageSeatcheck',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/stageSeatcheck.vue'], resolve)
        },
        {
            meta: { name: '台席管理', keepAlive: false },
            path: '/stageSeat',
            name: 'stageSeat',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/stageSeat.vue'], resolve)
        },
        {
            meta: { name: '结算考评', keepAlive: false },
            path: '/settlementEval',
            name: 'settlementEval',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/settlementEval.vue'], resolve)
        },
        {
            meta: { name: '结算考评', keepAlive: false },
            path: '/settlementEvalua',
            name: 'settlementEvalua',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/settlementEvalua.vue'], resolve)
        },
        {
            meta: { name: '直营店业务外包', keepAlive: false },
            path: '/businessOutsourc',
            name: 'businessOutsourc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/businessOutsourc/index.vue'], resolve)
        },
        {
            meta: { name: '市场开发需求征集', keepAlive: false },
            path: '/demandCollection',
            name: 'demandCollection',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/demandCollection/index.vue'], resolve)
        },
        {
            meta: { name: '不良信息治理白名单', keepAlive: false },
            path: '/badInfoGovern',
            name: 'badInfoGovern',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/badInfoGovern/index.vue'], resolve)
        },
        {
            meta: { name: '操作审批', keepAlive: false },
            path: '/approvalinfo',
            name: 'approvalinfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/approvalinfo.vue'], resolve)
        },
        {
            meta: { name: '审批管理', keepAlive: false },
            path: '/personnelApproval',
            name: 'personnelApproval',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/personnelApproval.vue'], resolve)
        },
        {
            meta: { name: '人员管理', keepAlive: false },
            path: '/staffManage',
            name: 'staffManage',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/staffManage.vue'], resolve)
        },
        {
            meta: { name: '角色管理', keepAlive: false },
            path: '/roleManage',
            name: 'roleManage',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/roleManage.vue'], resolve)
        },
        {
            meta: { name: '组织架构管理', keepAlive: false },
            path: '/organization',
            name: 'organization',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/organization.vue'], resolve)
        },
        {
            meta: { name: '人员信息', keepAlive: false },
            path: '/personinfo',
            name: 'personinfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/personinfo.vue'], resolve)
        },
        {
            meta: { name: '组织架构', keepAlive: false },
            path: '/organizaStructure',
            name: 'organizaStructure',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/organizaStructure/index.vue'], resolve)
        },
        {
            meta: { name: '个人数据业务合作伙伴', keepAlive: false },
            path: '/pdbPartners',
            name: 'pdbPartners',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/pdbPartners/index.vue'], resolve)
        },
        {
            meta: { name: '运营类项目考核及结算', keepAlive: false },
            path: '/projectAssessment',
            name: 'projectAssessment',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/projectAssessment/index.vue'], resolve)
        },
        {
            meta: { name: '新兴市场产品文档管理', keepAlive: false },
            path: '/emergingMarket',
            name: 'emergingMarket',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/emergingMarket/index.vue'], resolve)
        },
        {
            meta: { name: '任务详情', keepAlive: false },
            path: '/scheduleinfo',
            name: 'scheduleinfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/scheduleinfo.vue'], resolve)
        },
        {
            meta: { name: '进度跟踪', keepAlive: false },
            path: '/schedule',
            name: 'schedule',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/schedule.vue'], resolve)
        },
        {
            meta: { name: '进行中', keepAlive: false },
            path: '/underway',
            name: 'underway',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/underway.vue'], resolve)
        },
        {
            meta: { name: '查看进行中', keepAlive: false },
            path: '/checkunderway',
            name: 'checkunderway',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/checkunderway.vue'], resolve)
        },
        {
            meta: { name: '任务详情', keepAlive: false },
            path: '/punishInfo',
            name: 'punishInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/punishInfo.vue'], resolve)
        },
        {
            meta: { name: '模板管理', keepAlive: false },
            path: '/punishTemplate',
            name: 'punishTemplate',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/punishTemplate.vue'], resolve)
        },
        {
            meta: { name: '已完成', keepAlive: false },
            path: '/punishInfosum',
            name: 'punishInfosum',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/punishInfosum.vue'], resolve)
        },
        {
            meta: { name: '违规外呼处罚管理', keepAlive: false },
            path: '/violatPunish',
            name: 'violatPunish',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunish/index.vue'], resolve)
        },

        {
            meta: { name: '任务详情', keepAlive: false },
            path: '/scheduleinfoc',
            name: 'scheduleinfoc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/scheduleinfoc.vue'], resolve)
        },
        {
            meta: { name: '进度跟踪', keepAlive: false },
            path: '/schedulec',
            name: 'schedulec',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/schedulec.vue'], resolve)
        },
        {
            meta: { name: '进行中', keepAlive: false },
            path: '/underwayc',
            name: 'underwayc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/underwayc.vue'], resolve)
        },
        {
            meta: { name: '查看进行中', keepAlive: false },
            path: '/checkunderwayc',
            name: 'checkunderwayc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/checkunderwayc.vue'], resolve)
        },
        {
            meta: { name: '任务详情', keepAlive: false },
            path: '/punishInfoc',
            name: 'punishInfoc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/punishInfoc.vue'], resolve)
        },
        {
            meta: { name: '模板管理', keepAlive: false },
            path: '/punishTemplatec',
            name: 'punishTemplatec',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/punishTemplatec.vue'], resolve)
        },
        {
            meta: { name: '已完成', keepAlive: false },
            path: '/punishInfosumc',
            name: 'punishInfosumc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/punishInfosumc.vue'], resolve)
        },
        {
            meta: { name: '合作渠道信息管理', keepAlive: false },
            path: '/violatPunishc',
            name: 'violatPunishc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/violatPunishc/indexc.vue'], resolve)
        },

        {
            meta: { name: '外呼需求申请', keepAlive: false },
            path: '/outCallDemand',
            name: 'outCallDemand',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/outCallDemand/index.vue'], resolve)
        },
        {
            meta: { name: '员工信息填报', keepAlive: false },
            path: '/empInfoFilling',
            name: 'empInfoFilling',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/empInfoFilling.vue'], resolve)
        },
        {
            meta: { name: '已结束', keepAlive: false },
            path: '/Completed',
            name: 'Completed',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/Completed.vue'], resolve)
        },
        {
            meta: { name: '员工信息', keepAlive: false },
            path: '/employeeInfo',
            name: 'employeeInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/employeeInfo.vue'], resolve)
        },
        {
            meta: { name: '数据统计', keepAlive: false },
            path: '/dataStatistics',
            name: 'dataStatistics',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/dataStatistics.vue'], resolve)
        },
        {
            meta: { name: '人员进度跟踪', keepAlive: false },
            path: '/reportProgress',
            name: 'reportProgress',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/reportProgress.vue'], resolve)
        },
        {
            meta: { name: '进度跟踪', keepAlive: false },
            path: '/speedOfProgress',
            name: 'speedOfProgress',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/speedOfProgress.vue'], resolve)
        },
        {
            meta: { name: '进行中任务', keepAlive: false },
            path: '/haveInHand',
            name: 'haveInHand',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/haveInHand.vue'], resolve)
        },
        {
            meta: { name: '家庭成员信息管理', keepAlive: false },
            path: '/memberFamily',
            name: 'memberFamily',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/memberFamily/index.vue'], resolve)
        },
        {
            meta: { name: '积分发放申请', keepAlive: false },
            path: '/integral',
            name: 'integral',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/integral/index.vue'], resolve)
        },
        {
            meta: { name: '外部人员管理', keepAlive: false },
            path: '/outperson',
            name: 'outperson',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/personlManage/outperson.vue'], resolve)
        },
        {
            meta: { name: '内部人员管理', keepAlive: false },
            path: '/inperson',
            name: 'inperson',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/personlManage/inperson.vue'], resolve)
        },
        {
            meta: { name: '人员统计', keepAlive: false },
            path: '/census',
            name: 'census',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/personlManage/census.vue'], resolve)
        },
        {
            meta: { name: '广告发布审批', keepAlive: false },
            path: '/advReleaseAppro',
            name: 'advReleaseAppro',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advReleaseAppro/index.vue'], resolve)
        },
        {
            meta: { name: '供应商管理', keepAlive: false },
            path: '/advgys',
            name: 'advgys',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advReleaseAppro/advgys.vue'], resolve)
        },
        {
            meta: { name: '预算及上限', keepAlive: false },
            path: '/advysx',
            name: 'advysx',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advReleaseAppro/advysx.vue'], resolve)
        },
        {
            meta: { name: '线上渠道业务需求', keepAlive: false },
            path: '/demandDevelop',
            name: 'demandDevelop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/demandDevelop/index.vue'], resolve)
        },
        {
            meta: { name: '线上业务需求台账', keepAlive: false },
            path: '/ywStanding',
            name: 'ywStanding',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/demandDevelop/ywStanding.vue'], resolve)
        },
        {
            meta: { name: '移动商城产品上架', keepAlive: false },
            path: '/productOnSale',
            name: 'productOnSale',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/productOnSale/index.vue'], resolve)
        },
        {
            meta: { name: '线上合作渠道合作运营', keepAlive: false },
            path: '/cooOperation',
            name: 'cooOperation',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/cooOperation/index.vue'], resolve)
        },
        {
            meta: { name: '运营流程台账', keepAlive: false },
            path: '/yStanding',
            name: 'yStanding',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/cooOperation/yStanding.vue'], resolve)
        },
        {
            meta: { name: '线上合作渠道合作开发', keepAlive: false },
            path: '/development',
            name: 'development',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/development/index.vue'], resolve)
        },
        {
            meta: { name: '开发流程台账', keepAlive: false },
            path: '/dStanding',
            name: 'dStanding',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/development/dStanding.vue'], resolve)
        },
        {
            meta: { name: '线上合作渠道合作引入', keepAlive: false },
            path: '/introduce',
            name: 'introduce',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/introduce/index.vue'], resolve)
        },
        {
            meta: { name: '引入流程台账', keepAlive: false },
            path: '/standing',
            name: 'standing',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/introduce/standing.vue'], resolve)
        },
        {
            meta: { name: '服务质量考核及结算审批', keepAlive: false },
            path: '/serviceQuality',
            name: 'serviceQuality',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/serviceQuality/index.vue'], resolve)
        },
        {
            meta: { name: '合同信息管理', keepAlive: false },
            path: '/contractInfo',
            name: 'contractInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/serviceQuality/contractInfo.vue'], resolve)
        },
        {
            meta: { name: '营销类短信群发', keepAlive: false },
            path: '/groupMSsend',
            name: 'groupMSsend',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/groupMSsend/index.vue'], resolve)
        },
        {
            meta: { name: '营销类短信群发申请', keepAlive: false },
            path: '/groupAdd',
            name: 'groupAdd',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/groupMSsend/groupAdd.vue'], resolve)
        },
        {
            meta: { name: '公众号图文协推', keepAlive: false },
            path: '/officialAccount',
            name: 'officialAccount',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/officialAccount/index.vue'], resolve)
        },
        {
            meta: { name: '员工周报', keepAlive: false },
            path: '/weeklyReport',
            name: 'weeklyReport',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/weeklyReport/index.vue'], resolve)
        },
        {
            meta: { name: '经分会部署工作', keepAlive: false },
            path: '/ecClubWork',
            name: 'ecClubWork',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/ecClubWork/index.vue'], resolve)
        },
        {
            meta: { name: '经分会部署工作', keepAlive: false },
            path: '/checkclubwork',
            name: 'checkclubwork',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/ecClubWork/checkclubwork.vue'], resolve)
        },
        {
            meta: { name: '公众号图文协推资料下发', keepAlive: false },
            path: '/officialAccountadd',
            name: 'officialAccountadd',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/officialAccount/officialAccountadd.vue'], resolve)
        },
        {
            meta: { name: '广告宣传管理', keepAlive: false },
            path: '/advertising',
            name: 'advertising',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/index.vue'], resolve)
        },
        {
            meta: { name: '宣传费台账', keepAlive: false },
            path: '/publicity',
            name: 'publicity',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/indexs.vue'], resolve)
        },
        {
            meta: { name: '物料类型管理', keepAlive: false },
            path: '/materiel',
            name: 'materiel',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materiel.vue'], resolve)
        },
        {
            meta: { name: '一采物料类型管理', keepAlive: false },
            path: '/materielPick',
            name: 'materielPick',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materielPick.vue'], resolve)
        },
        {
            meta: { name: '宣传费台账', keepAlive: false },
            path: '/publicityAccount',
            name: 'publicityAccount',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/publicityAccount.vue'], resolve)
        },
        {
            meta: { name: '营业厅物料管理', keepAlive: false },
            path: '/businessHall',
            name: 'businessHall',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/businessHall.vue'], resolve)
        },
        {
            meta: { name: '合同及上限', keepAlive: false },
            path: '/contractCap',
            name: 'contractCap',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/contractCap.vue'], resolve)
        },
        {
            meta: { name: '宣传物料申请', keepAlive: false },
            path: '/materialApplicationadd',
            name: 'materialApplicationadd',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplicationadd.vue'], resolve)
        },
        {
            meta: { name: '宣传物料管理', keepAlive: false },
            path: '/materialApplication',
            name: 'materialApplication',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplication.vue'], resolve)
        },
        {
            meta: { name: '宣传物料管理', keepAlive: false },//地市
            path: '/materialApplicationc',
            name: 'materialApplicationc',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplicationc.vue'], resolve)
        },
        {
            meta: { name: '宣传物料审批', keepAlive: false },
            path: '/materialApplicationExa',
            name: 'materialApplicationExa',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplicationExa.vue'], resolve)
        },
        {
            meta: { name: '宣传物料审批', keepAlive: false },
            path: '/materialApplicationExac',
            name: 'materialApplicationExac',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplicationExac.vue'], resolve)
        },
        {
            meta: {
                name: '宣传物料查看',
                keepAlive: false
            },
            path: '/materialApplicationDetail',
            name: 'materialApplicationDetail',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplicationDetail.vue'], resolve)
        },
        {
            meta: {
                name: '子任务列表',
                keepAlive: false
            },
            path: '/subtaskList',
            name: 'subtaskList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/subtaskList.vue'], resolve)
        }, {
            meta: {
                name: '验收',
                keepAlive: false
            },
            path: '/acceptance',
            name: 'acceptance',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/acceptance.vue'], resolve)
        },
        {
            meta: {
                name: '验收情况',
                keepAlive: false
            },
            path: '/acceptanceSituation',
            name: 'acceptanceSituation',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/acceptanceSituation.vue'], resolve)
        },
        {
            meta: { name: '供应商管理', keepAlive: false },
            path: '/supplier',
            name: 'supplier',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/supplier.vue'], resolve)
        },
        {
            meta: { name: '物料统计', keepAlive: false },
            path: '/materialApplistatic',
            name: 'materialApplistatic',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/advertising/materialApplistatic.vue'], resolve)
        },
        {
            meta: { name: '科室经理管理', keepAlive: false },
            path: '/department',
            name: 'department',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/other/department.vue'], resolve)
        },
        {
            meta: { name: '广告管理', keepAlive: false },
            path: '/advcheck',
            name: 'advcheck',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advcheck.vue'], resolve)
        },
        {
            meta: { name: '广告管理', keepAlive: false },
            path: '/advchecks',
            name: 'advchecks',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminals/advchecks.vue'], resolve)
        },
        {
            meta: { name: '插件管理', keepAlive: false },
            path: '/plugInunit',
            name: 'plugInunit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/funcInit/plugInunit.vue'], resolve)
        },
        {
            meta: { name: '工号管理', keepAlive: false },
            path: '/loginInit',
            name: 'loginInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userId/loginInit.vue'], resolve)
        },
        {
            meta: { name: '领导首页', keepAlive: false },
            path: '/leader',
            name: 'leader',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/index.vue'], resolve)
        },
        {
            meta: { name: '新首页', keepAlive: false },
            path: '/leaderHome',
            name: 'leaderHome',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/leaderHome.vue'], resolve)
        },
        {
            meta: { name: '品质部首页', keepAlive: false },
            path: '/marketHome',
            name: 'marketHome',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/home.vue'], resolve)
        },
        {
            meta: { name: '市场部首页', keepAlive: false },
            path: '/quality',
            name: 'quality',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/quality.vue'], resolve)
        },
        {
            meta: { name: '部门预算', keepAlive: false },
            path: '/budget',
            name: 'budget',
            redirect: 'monthExcel',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/budgetIndex.vue'], resolve),
            children: [
                {
                    meta: { name: '部门预算模板管理', keepAlive: false },
                    path: '/budgetList',
                    name: 'budget',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/budgetList.vue'], resolve)
                }, {
                    meta: { name: '年度预算', keepAlive: false },
                    path: '/yearExcel',
                    name: 'yearExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/yearExcel.vue'], resolve)
                },
                {
                    meta: { name: '月度预算', keepAlive: false },
                    path: '/monthExcel',
                    name: 'monthExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/monthExcel.vue'], resolve)
                },
                {
                    meta: { name: '预算回复管理', keepAlive: false },
                    path: '/recallAdmin',
                    name: 'recallAdmin',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/recall.vue'], resolve)
                }, {
                    meta: { name: '季度预算', keepAlive: false },
                    path: '/quarterExcel',
                    name: 'quarterExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/quarterExcel.vue'], resolve)
                }, {
                    meta: { name: '部门预算采购项目管理', keepAlive: false },
                    path: '/projectExcel',
                    name: 'projectExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/projectExcel.vue'], resolve)
                }, {
                    meta: { name: '预算回复管理', keepAlive: false },
                    path: '/noRecallAdmin',
                    name: 'noRecallAdmin',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/noRecall.vue'], resolve)
                }, {
                    meta: { name: '下发管理', keepAlive: false },
                    path: '/issueList',
                    name: 'issueList',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/budget/issueList.vue'], resolve)
                },
            ]
        },
        {
            meta: { name: '在线文档', keepAlive: false },
            path: '/fileList',
            name: 'fileList',
            redirect: 'monthExcel',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/fileList/fileListIndex.vue'], resolve),
            children: [
                {
                    meta: { name: '在线文档', keepAlive: false },
                    path: '/fileList',
                    name: 'fileList',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/fileList/fileList.vue'], resolve)
                },
            ]
        },
        {
            meta: {
                name: '科室绩效',
                keepAlive: false
            },
            path: '/recallkpi',
            name: 'recallkpi',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/achievements/recallMuban.vue'], resolve)
        },
        {
            meta: { name: '绩效管理', keepAlive: false },
            path: '/kpi',
            name: 'kpi',
            redirect: 'kpiMuban',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/achievements/achievementsIndex.vue'], resolve),
            children: [
                {
                    meta: { name: '绩效模板', keepAlive: false },
                    path: '/kpiMuban',
                    name: 'kpiMuban',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/achievementsMuban.vue'], resolve)
                }, {
                    meta: { name: '下发管理', keepAlive: false },
                    path: '/kpiIssueList',
                    name: 'kpiIssueList',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/issueList.vue'], resolve)
                }, {
                    meta: { name: '绩效回复管理', keepAlive: false },
                    path: '/kpiRecall',
                    name: 'kpiRecall',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recall.vue'], resolve)
                }, {
                    meta: { name: '绩效回复管理', keepAlive: false },
                    path: '/kpiNoRecall',
                    name: 'kpiNoRecall',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/noRecall.vue'], resolve)
                }, {
                    meta: { name: '新增模板', keepAlive: false },
                    path: '/initKpi',
                    name: 'initKpi',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/initMuban.vue'], resolve)
                }, {
                    meta: { name: '查看模板', keepAlive: false },
                    path: '/seekpi',
                    name: 'seekpi',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/seeMuban.vue'], resolve)
                }, {
                    meta: { name: '部门绩效', keepAlive: false },
                    path: '/recallBm',
                    name: 'recallBm',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallBumen.vue'], resolve)
                }, {
                    meta: { name: '集团绩效', keepAlive: false },
                    path: '/recallJt',
                    name: 'recallJt',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallJt.vue'], resolve)
                }, {
                    meta: { name: '副总GS', keepAlive: false },
                    path: '/recallGs',
                    name: 'recallGs',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallGS.vue'], resolve)
                },
                {
                    meta: { name: '科室绩效', keepAlive: false },
                    path: '/recallkpi',
                    name: 'recallkpi',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/achievements/recallMuban.vue'], resolve)
                },
            ]
        },
        {
            meta: { name: '竞争对手', keepAlive: false },
            path: '/compet',
            name: 'compet',
            redirect: 'competitor',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/competitor/home.vue'], resolve),
            children: [
                {
                    meta: { name: '竞争对手', keepAlive: false },
                    path: '/competitor',
                    name: 'competitor',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/competitor/index'], resolve)
                },
                {
                    meta: { name: '竞争对手信息收集统计', keepAlive: false },
                    path: '/competeInfo',
                    name: 'competeInfo',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/competitor/competeInfo'], resolve)
                },
                {
                    meta: { name: '新增竞争对手违规信息', keepAlive: false },
                    path: '/addCompetitor',
                    name: 'addCompetitor',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/addCompetitor.vue'], resolve)
                },
                {
                    meta: { name: '新增竞争对手常规信息', keepAlive: false },
                    path: '/addCompetitorNew',
                    name: 'addCompetitorNew',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/addCompetitorNew.vue'], resolve)
                },
                {
                    meta: { name: '修改竞争对手违规信息', keepAlive: false },
                    path: '/changeCompet',
                    name: 'changeCompet',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/changeCompet.vue'], resolve)
                },
                {
                    meta: { name: '修改竞争对手正规信息', keepAlive: false },
                    path: '/changeCompetNew',
                    name: 'changeCompetNew',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/changeCompetNew.vue'], resolve)
                },
                {
                    meta: { name: '修改竞争对手审核详情', keepAlive: false },
                    path: '/competitorInfo',
                    name: 'competitorInfo',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/competitorInfo.vue'], resolve)
                },
                {
                    meta: { name: '修改竞争对手审核详情', keepAlive: false },
                    path: '/competitorInfoNew',
                    name: 'competitorInfo',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/competitorInfoNew.vue'], resolve)
                },
                {
                    meta: { name: '修改竞争对手统计', keepAlive: false },
                    path: '/compete',
                    name: 'compete',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/compete.vue'], resolve)
                },
                {
                    meta: { name: '修改竞争对手审核列表', keepAlive: false },
                    path: '/competExa',
                    name: 'competExa',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/competitor/competExa.vue'], resolve)
                }
            ]
        },
        {
            meta: { name: '外呼调研', keepAlive: false },
            path: '/compets',
            name: 'compets',
            redirect: 'competitors',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/competitors/index.vue'], resolve),
            children: [
                {
                    meta: { name: '地市', keepAlive: false },
                    path: '/competitors',
                    name: 'competitors',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/competitors/home'], resolve)
                },
                {
                    meta: { name: '省公司', keepAlive: false },
                    path: '/company',
                    name: 'company',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/competitors/company'], resolve)
                }
            ]
        },
        {
            meta: { name: '测试终端管理', keepAlive: false },
            path: '/terminalhome',
            name: 'terminalhome',
            redirect: 'terminal',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/terminal/terminalhome.vue'], resolve),
            children: [
                {
                    meta: { name: '终端号管理', keepAlive: false },
                    path: '/terminalModel',
                    name: 'terminalModel',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalModel'], resolve)
                },
                {
                    meta: { name: '测试终端管理', keepAlive: false },
                    path: '/terminal',
                    name: 'terminal',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminal'], resolve)
                },
                {
                    meta: { name: '测试终端申请', keepAlive: false },
                    path: '/terminalApply',
                    name: 'terminalApply',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalApply'], resolve)
                },
                {
                    meta: { name: '测试终端台账管理', keepAlive: false },
                    path: '/terminalStandbook',
                    name: 'terminalStandbook',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalStandbook'], resolve)
                },
            ]
        },
        {
            meta: { name: '测试终端审批', keepAlive: false },
            path: '/terminApproval',
            name: 'terminApproval',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminApproval'], resolve)
        },
        {
            meta: { name: '测试终端已办', keepAlive: false },
            path: '/terminalOver',
            name: 'terminalOver',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/terminalOver'], resolve)
        },
        // {
        //     meta: { name:  '部门预算模板管理',
        //     path: '/budgetList',
        //     name: 'budgetList',
        //     component: (resolve) => require( /* webpackChunkName: "system" */
        //         ['../pages/main/budget/budgetList.vue')
        // },
        // {
        //     meta: { name:  '部门预算管理',
        //     path: '/initBudget',
        //     name: 'initBudget',
        //     component: (resolve) => require( /* webpackChunkName: "system" */
        //         ['../pages/main/budget/initBudget.vue')
        // },
        {
            meta: { name: '新增在线excel', keepAlive: false },
            path: '/initExceladd1',
            name: 'initExceladd1',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/fileList/initExcel.vue'], resolve)
        },
        {
            meta: { name: '修改在线excel', keepAlive: false },
            path: '/initExcelupdate1',
            name: 'initExcelupdate1',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/fileList/initExcel.vue'], resolve)
        },
        {
            meta: { name: '查看在线excel', keepAlive: false },
            path: '/initExcelsee1',
            name: 'initExcelsee1',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/fileList/initExcel.vue'], resolve)
        },
        {
            meta: { name: '新增excel', keepAlive: false },
            path: '/initExceladd',
            name: 'initExceladd',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/initExcel.vue'], resolve)
        },
        {
            meta: { name: '修改excel', keepAlive: false },
            path: '/initExcelupdate',
            name: 'initExcelupdate',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/initExcel.vue'], resolve)
        },
        {
            meta: { name: '查看excel', keepAlive: false },
            path: '/initExcelsee',
            name: 'initExcelsee',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/initExcel.vue'], resolve)
        },
        {
            meta: { name: '回复excel', keepAlive: false },
            path: '/initExcelrecall',
            name: 'initExcelrecall',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/budget/recallExcel.vue'], resolve)
        },
        {
            meta: { name: '测试流程', keepAlive: false },
            path: '/flow',
            name: 'flow',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/flow/flowInit.vue'], resolve)
        },
        {
            meta: { name: '菜单管理', keepAlive: false },
            path: '/funcInit',
            name: 'funcInit',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/funcInit/menuList.vue'], resolve)
        },
        {
            meta: { name: '线条管理', keepAlive: false },
            path: '/manageLnit',
            name: 'manageLnit',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/funcInit/manageLnit.vue'], resolve)
        },
        {
            meta: { name: '角色管理', keepAlive: false },
            path: '/sysRoleInfoInit',
            name: 'sysRoleInfoInit',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/sysRoleInfo/roleList.vue'], resolve)
        },
        {
            meta: { name: '流程管理', keepAlive: false },
            path: '/flowInit',
            name: 'flowInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/flow/flow.vue'], resolve)
        },
        {
            meta: { name: '表单配置', keepAlive: false },
            path: '/formInit',
            name: 'formInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/form/fromIndex.vue'], resolve)
        }, {
            meta: { name: '绘制流程', keepAlive: false },
            path: '/flowDesign',
            name: 'flowDesign',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/flow/flowDesign.vue'], resolve)
        },
        {
            meta: { name: '在线excel', keepAlive: false },
            path: '/excel',
            name: 'excel',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/excel/index.vue'], resolve)
        },
        {
            meta: { name: '知识库', keepAlive: false },
            path: '/knowledge',
            name: 'knowledge',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/index'], resolve)
        }, {
            meta: { name: '新增知识库', keepAlive: false },
            path: '/addknowledge',
            name: 'addknowledge',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/addKnowledge'], resolve)
        }, {
            meta: { name: '知识库目录', keepAlive: false },
            path: '/knowledgeCatalog',
            name: 'knowledgeCatalog',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/catalog'], resolve)
        },
        {
            meta: { name: '知识库审核', keepAlive: false },
            path: '/knowledgeExamine',
            name: 'knowledgeExamine',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/knowledgeExamine'], resolve)
        },
        {
            meta: { name: '知识库类型', keepAlive: false },
            path: '/knowledgeType',
            name: 'knowledgeType',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledge/knowledgeType'], resolve)
        },
        {
            meta: { name: '附件库', keepAlive: true },
            path: '/flieList',
            name: 'flieList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/file/flieList'], resolve)
        },
        {
            meta: { name: '文件共享', keepAlive: true },
            path: '/fileListNet',
            name: 'fileListNet',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/file/flieListNet'], resolve)
        },
        {
            meta: { name: '日历', keepAlive: true },
            path: '/calendar',
            name: 'calendar',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/fullcalendar/calendar'], resolve)
        },
        {
            meta: { name: '信息技术中心日历', keepAlive: true },
            path: '/calendarnet',
            name: 'calendarnet',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/fullcalendar/calendarnet'], resolve)
        },
        {
            meta: { name: '公告', keepAlive: false },
            path: '/noticec',
            name: 'noticec',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/noticec/index'], resolve)
        },
        {
            meta: { name: '浏览日志', keepAlive: false },
            path: '/journal',
            name: 'journal',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/noticec/journal'], resolve)
        },
        {
            meta: { name: '公告审核', keepAlive: false },
            path: '/noticExamine',
            name: '/noticExamine',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/noticec/noticExamine'], resolve)
        },
        {
            meta: { name: '语音识别', keepAlive: false },
            path: '/voicediscern',
            name: 'voicediscern',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/voicediscern/index'], resolve)
        },
        {
            meta: { name: '广告管理', keepAlive: false },
            path: '/advertisement',
            name: 'advertisement',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advertisement'], resolve)
        },
        {
            meta: { name: '广告申请', keepAlive: false },
            path: '/advertincrease',
            name: 'advertincrease',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advertincrease'], resolve)
        },
        {
            meta: { name: '广告申请', keepAlive: false },
            path: '/luckySheet',
            name: 'luckySheet',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/luckySheet/index'], resolve)
        },
        {
            meta: { name: '广告申请', keepAlive: false },
            path: '/advertincreases',
            name: 'advertincreases',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminals/advertincreases'], resolve)
        },
        {
            meta: { name: '广告设计费明细', keepAlive: false },
            path: '/advdetailed',
            name: 'advdetailed',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advdetailed'], resolve)
        },
        {
            meta: { name: '素材库', keepAlive: false },
            path: '/advertmaterial',
            name: 'advertmaterial',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminal/advertmaterial'], resolve)
        },
        {
            meta: { name: '信息上报管理', keepAlive: false },
            path: '/noticeIssued',
            name: 'noticeIssued',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticeIssued'], resolve)
        },
        {
            meta: { name: "信息分类管理", keepAlive: false },
            path: '/noticeQuery',
            name: 'noticeQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticeQuery'], resolve)
        },
        {
            meta: { name: "定制上报管理", keepAlive: false },
            path: '/noticeReply',
            name: 'noticeReply',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticeReply'], resolve)
        },
        {
            meta: { name: "信息上报审核", keepAlive: false },
            path: '/noticupExamine',
            name: 'noticupExamine',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/messReport/noticupExamine'], resolve)
        },
        {
            meta: { name: "工单管理", keepAlive: false },
            path: '/workOrderManage',
            name: 'workOrderManage',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/index'], resolve)
        },
        {
            meta: { name: "工单审核", keepAlive: false },
            path: '/workOrderTask',
            name: 'workOrderTask',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderTask'], resolve)
        },
        {
            meta: { name: "工单回复", keepAlive: false },
            path: '/workOrderReply',
            name: 'workOrderReply',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderReply'], resolve)
        },
        {
            meta: { name: "工单管理回复统计", keepAlive: false },
            path: '/workOrderReplyStatistics',
            name: 'workOrderReplyStatistics',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderReplyStatistics'], resolve)
        },
        {
            meta: { name: "工单管理回复明细", keepAlive: false },
            path: '/workOrderReplyDetails',
            name: 'workOrderReplyDetails',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/workOrderManage/workOrderReplyDetails'], resolve)
        },
        {
            meta: { name: "督办任务管理", keepAlive: false },
            path: '/supervise',
            name: 'supervise',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/supervise/superviseTask'], resolve)
        },
        {
            meta: { name: "待办任务", keepAlive: false },
            path: '/agencyTask',
            name: 'agencyTask',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/supervise/agencyTask'], resolve)
        },
        {
            meta: { name: "预警规则配置", keepAlive: false },
            path: '/warnRule',
            name: 'warnRule',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnRule'], resolve)
        },
        {
            meta: { name: "预警工单派发", keepAlive: false },
            path: '/warnWorkorder',
            name: 'warnWorkorder',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnWorkorder'], resolve)
        },
        {
            meta: { name: "预警工单审核", keepAlive: false },
            path: '/warnWorkexa',
            name: 'warnWorkexa',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnWorkexa'], resolve)
        },
        {
            meta: { name: "预警工单处理", keepAlive: false },
            path: '/warnWorkhandle',
            name: 'warnWorkhandle',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnWorkhandle'], resolve)
        },
        {
            meta: { name: "预警统计", keepAlive: false },
            path: '/warnStatis',
            name: 'warnStatis',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/warnManage/warnStatis'], resolve)
        },
        {
            meta: { name: "字典管理", keepAlive: false },
            path: '/dictionaries',
            name: 'dictionaries',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/Dictionaries/index'], resolve)
        },
        {
            meta: { name: "待办工单查询", keepAlive: false },
            path: '/woQueryDb',
            name: 'woQueryDb',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/wo/woQueryDb.vue'], resolve)
        },
        {
            meta: { name: "已办工单查询", keepAlive: false },
            path: '/woQueryYb',
            name: 'woQueryYb',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/wo/queryYb.vue'], resolve)
        },
        {
            meta: { name: "投诉单列表", keepAlive: true },
            path: '/complaintQuery',
            name: 'complaintQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/compvisList.vue'], resolve)
        },
        {
            meta: { name: "投诉工单告警信息列表", keepAlive: false },
            path: '/complaintWoAlarmInfoQuery',
            name: 'complaintWoAlarmInfoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintWoAlarmInfo.vue'], resolve)
        },
        {
            meta: { name: "投诉处理工单反馈", keepAlive: false },
            path: '/complaintworkfeedback',
            name: 'complaintworkfeedback',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintFeedback.vue'], resolve)
        },
        {
            meta: { name: "处理工单历史信息", keepAlive: false },
            path: '/complaintWoQuery',
            name: 'complaintWoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintlog.vue'], resolve)
        }, ,
        {
            meta: { name: "处理工单详情", keepAlive: false },
            path: '/complaintQueryDetails',
            name: 'complaintQueryDetails',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/compvis/complaintQueryDetails.vue'], resolve)
        },
        {
            meta: { name: "长流程计费信息查询", keepAlive: false },
            path: '/accountInformationQuery',
            name: 'accountInformationQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/accountQuery.vue'], resolve)
        },
        {
            meta: { name: "工单超时预警服务查询", keepAlive: false },
            path: '/orderOverTimeService',
            name: 'orderOverTimeService',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/orderOverList.vue'], resolve)
        },
        {
            meta: { name: "超时工单预警查询", keepAlive: false },
            path: '/processWoAlarmInfoQuery',
            name: 'processWoAlarmInfoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/processAlarmInfoQuery.vue'], resolve)
        },
        {
            meta: { name: "长流程工单查询", keepAlive: true },
            path: '/processWoQuery',
            name: 'processWoQuery',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/processList.vue'], resolve)
        },
        {
            meta: { name: "长流程工单处理历史信息查询", keepAlive: false },
            path: '/processWoQueryHis',
            name: 'processWoQueryHis',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/processQueryHis.vue'], resolve)
        },
        {
            meta: { name: "长流程关联工单反馈", keepAlive: false },
            path: '/relatedOrderFeedback',
            name: 'relatedOrderFeedback',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/longProcessVis/relatedFeedback.vue'], resolve)
        },
        {
            meta: { name: "客户满意度导入", keepAlive: false },
            path: '/importSat',
            name: 'importSat',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/sati/importList.vue'], resolve)
        }, {
            meta: { name: "满意度历史", keepAlive: false },
            path: '/importLog',
            name: 'importLog',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/sati/importLog.vue'], resolve)
        },
        {
            meta: { name: "手机客户满意度信息", keepAlive: false },
            path: '/mobileSat',
            name: 'mobileSat',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/sati/mobileList.vue'], resolve)
        },
        {
            meta: { keepAlive: false },
            path: '/userInfo',
            name: 'userInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/customer/userInfo.vue'], resolve)
        },
        {
            meta: { name: "宽带上网信息", keepAlive: false },
            path: '/ydBrodbdNetwork',
            name: 'ydBrodbdNetwork',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydBrodbdNetwork.vue'], resolve)
        },
        {
            meta: { name: "宽带用户信息", keepAlive: false },
            path: '/ydBrodbdUser',
            name: 'ydBrodbdUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydBrodbdUser.vue'], resolve)
        },
        {
            meta: { name: "集团客户信息", keepAlive: false },
            path: '/ydGroupUser',
            name: 'ydGroupUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydGroupUser.vue'], resolve)
        },
        {
            meta: { name: "进厅客户信息", keepAlive: false },
            path: '/ydLobbyUser',
            name: 'ydLobbyUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydLobbyUser.vue'], resolve)
        },
        {
            meta: { name: "手机移动网络信息", keepAlive: false },
            path: '/ydMobileNetwork',
            name: 'ydMobileNetwork',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydMobileNetwork.vue'], resolve)
        },
        {
            meta: { name: "手机客户信息详情", keepAlive: false },
            path: '/ydMobileUser',
            name: 'ydMobileUser',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/customer/ydMobileUser.vue'], resolve)
        },
        {
            meta: { name: "手机套餐资费信息", keepAlive: false },
            path: '/ydTariff',
            name: 'ydTariff',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/customer/ydTariff.vue'], resolve)
        },
        {
            meta: { keepAlive: false },
            path: '/chatInit',
            name: 'chatInit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/chat/chatInit.vue'], resolve)
        },
        {
            meta: { name: "知识图谱分析", keepAlive: false },
            path: '/quesWordAnalysis',
            name: 'quesWordAnalysis',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/chat/quesWordAnalysis.vue'], resolve)
        },
        {
            meta: { name: "数据大屏", keepAlive: false },
            path: '/bigScreen',
            name: 'bigScreen',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/bigScreen/index.vue'], resolve)
        },
        {
            meta: { name: "数据大屏", keepAlive: false },
            path: '/bigScreenenw',
            name: 'bigScreenenw',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/bigScreen/bigScreenenw.vue'], resolve)
        },
        {
            meta: { name: "用户投诉分析", keepAlive: false },
            path: '/userFx',
            name: 'userFx',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userImage/userFx.vue'], resolve)
        },
        {
            meta: { name: "用户投诉标签管理", keepAlive: false },
            path: '/labelList',
            name: 'labelList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userImage/labelList.vue'], resolve)
        },
        {
            meta: { name: "修复策略维护", keepAlive: false },
            path: '/strategyList',
            name: 'strategyList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/userImage/strategyList.vue'], resolve)
        },
        {
            meta: { name: "智能应答", keepAlive: false },
            path: '/intelligent',
            name: 'intelligent',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/outerChain/intelligent.vue'], resolve)
        },
        {
            meta: { name: '审批人员管理', keepAlive: false },
            path: '/sprygl',
            name: 'sprygl',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/other/sprygl.vue'], resolve)
        },
        {
            meta: { name: '魔百和大屏广告自有业务承载审批流程', keepAlive: false },
            path: '/magicboxAudit',
            name: 'magicboxAudit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/magicboxAudit/index'], resolve)
        },
        {
            meta: { name: '魔百和大屏广告自有业务承载审批', keepAlive: false },
            path: '/dealAudit',
            name: 'dealAudit',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/magicboxAudit/dealAudit'], resolve)
        },
        {
            meta: { name: '申请列表', keepAlive: false },
            path: '/magicBoxItem',
            name: 'magicBoxItem',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/magicboxAudit/magicBoxItem'], resolve)
        },
        {
            meta: { name: '互联网电视合作考核流程', keepAlive: false },
            path: '/tvAssess',
            name: 'tvAssess',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/tvAssess/tvAssessIndex'], resolve)
        },
        {
            meta: { name: '发起需求', keepAlive: false },
            path: '/mbAuditAdd',
            name: 'mbAuditAdd',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/magicboxAudit/mbAuditAdd'], resolve)
        },
        {
            meta: { name: '魔百和审批流程列表', keepAlive: false },
            path: '/mbAuditList',
            name: 'mbAuditList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/magicboxAudit/mbAuditList'], resolve)
        },
        {
            meta: { name: '发起考核', keepAlive: false },
            path: '/initiateAssess',
            name: 'initiateAssess',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/tvAssess/initiateAssess'], resolve)
        },
        {
            meta: { name: '互联网电视合作引入流程', keepAlive: false },
            path: '/tvIntroduction',
            name: 'tvIntroduction',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/homeMarket/tvIntroduction/index'], resolve)
        },
        {
            meta: { name: '发起需求', keepAlive: false },
            path: '/create',
            name: 'create',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/create'], resolve)
        },
        {
            meta: { name: '资质审核', keepAlive: false },
            path: '/auditQualification',
            name: 'auditQualification',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/auditQualification'], resolve)
        }
        ,
        {
            meta: { name: '指定专家', keepAlive: false },
            path: '/assignExpert',
            name: 'assignExpert',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/assignExpert'], resolve)
        },
        {
            meta: { name: '专家登录评审', keepAlive: false },
            path: '/peerReview',
            name: 'peerReview',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/peerReview'], resolve)
        },
        {
            meta: { name: '评审汇总', keepAlive: false },
            path: '/reviewSummary',
            name: 'reviewSummary',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/reviewSummary'], resolve)
        },
        {
            meta: { name: '室主任初审', keepAlive: false },
            path: '/innerOfficerAudit',
            name: 'innerOfficerAudit',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/innerOfficerAudit'], resolve)
        },
        {
            meta: { name: '中心主任复审', keepAlive: false },
            path: '/innerCentralAudit',
            name: 'innerCentralAudit',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/innerCentralAudit'], resolve)
        },
        {
            meta: { name: '会议结果录入', keepAlive: false },
            path: '/inputMeetingReport',
            name: 'inputMeetingReport',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/inputMeetingReport'], resolve)
        },
        {
            meta: { name: '室主任初审', keepAlive: false },
            path: '/extendOfficerAudit',
            name: 'extendOfficerAudit',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/extendOfficerAudit'], resolve)
        }
        ,
        {
            meta: { name: '中心主任终审', keepAlive: false },
            path: '/extendCentralAudit',
            name: 'extendCentralAudit',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/extendCentralAudit'], resolve)
        }
        ,
        {
            meta: { name: '市场决策委员会', keepAlive: false },
            path: '/marketDecision',
            name: 'marketDecision',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/marketDecision'], resolve)
        }
        ,
        {
            meta: { name: '专业公司发函', keepAlive: false },
            path: '/sendLetter',
            name: 'sendLetter',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/sendLetter'], resolve)
        }
        ,
        {
            meta: { name: '省内引入', keepAlive: false },
            path: '/importProvince',
            name: 'importProvince',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/importProvince'], resolve)
        }
        ,
        {
            meta: { name: '产品上线', keepAlive: false },
            path: '/publish',
            name: 'publish',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/publish'], resolve)
        },
        {
            meta: { name: '上线', keepAlive: false },
            path: '/publish2',
            name: 'publish2',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/deal/publish2'], resolve)
        }
        ,
        {
            meta: { name: '任务列表', keepAlive: false },
            path: '/tvImportItemList',
            name: 'tvImportItemList',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/itemList'], resolve)
        }
        ,
        {
            meta: { name: '任务列表', keepAlive: false },
            path: '/tvImportTaskList',
            name: 'tvImportTaskList',
            component: (resolve) => require(['../pages/main/homeMarket/tvIntroduction/taskList'], resolve)
        },
        {
            meta: {
                name: '知识库',
                keepAlive: false
            },
            path: '/knowledgetop',
            name: 'knowledgetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledgetop/index'], resolve)
        },
        {
            meta: {
                name: '知识库',
                keepAlive: false
            },
            path: '/knowledgeManagement',
            name: 'knowledgeManagement',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledgetop/knowledgeManagement'], resolve)
        }, {
            meta: {
                name: '新增知识库',
                keepAlive: false
            },
            path: '/addknowledgetop',
            name: 'addknowledgetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledgetop/addKnowledge'], resolve)
        },
        {
            meta: {
                name: '知识库目录',
                keepAlive: false
            },
            path: '/knowledgeCatalogtop',
            name: 'knowledgeCatalogtop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledgetop/catalog'], resolve)
        }, {
            meta: {
                name: '知识库审核',
                keepAlive: false
            },
            path: '/knowledgeExaminetop',
            name: 'knowledgeExaminetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledgetop/knowledgeExamine'], resolve)
        }, {
            meta: {
                name: '知识库类型',
                keepAlive: false
            },
            path: '/knowledgeTypetop',
            name: 'knowledgeTypetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/knowledgetop/knowledgeType'], resolve)
        },
        {
            meta: {
                name: 'IT知识库',
                keepAlive: false
            },
            path: '/itknowledgetop',
            name: 'itknowledgetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/itknowledgetop/index'], resolve)
        },
        {
            meta: {
                name: 'IT知识库',
                keepAlive: false
            },
            path: '/itknowledgeManagement',
            name: 'itknowledgeManagement',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/itknowledgetop/knowledgeManagement'], resolve)
        }, {
            meta: {
                name: '新增知识库',
                keepAlive: false
            },
            path: '/additknowledgetop',
            name: 'additknowledgetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/itknowledgetop/addKnowledge'], resolve)
        },
        {
            meta: {
                name: '知识库目录',
                keepAlive: false
            },
            path: '/itknowledgeCatalogtop',
            name: 'itknowledgeCatalogtop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/itknowledgetop/catalog'], resolve)
        }, {
            meta: {
                name: '知识库审核',
                keepAlive: false
            },
            path: '/itknowledgeExaminetop',
            name: 'itknowledgeExaminetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/itknowledgetop/knowledgeExamine'], resolve)
        }, {
            meta: {
                name: '知识库类型',
                keepAlive: false
            },
            path: '/itknowledgeTypetop',
            name: 'itknowledgeTypetop',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/itknowledgetop/knowledgeType'], resolve)
        }, {
            meta: {
                name: '业务时长查询',
                keepAlive: true
            },
            path: '/busiTime',
            name: 'busiTime',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/busitime/busiTime'], resolve)
        }, {
            meta: {
                name: '异常业务办理监控报表',
                keepAlive: true
            },
            path: '/busiTimeout',
            name: 'busiTimeout',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/busitime/busiTimeout'], resolve)
        },
        {
            meta: { name: '工单列表', keepAlive: false },
            path: '/workersList',
            name: 'workersList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/gridDivision/workersList.vue'], resolve)
        },
        {
            meta: { name: '地市网格负责人~市场部副总汇总后处理', keepAlive: false },
            path: '/approvalExamination',
            name: 'approvalExamination',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/gridDivision/approvalExamination.vue'], resolve)
        },
        {
            meta: {
                name: '专题汇报',
                keepAlive: false
            },
            path: '/specialReport',
            name: 'specialReport',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/meetingDeclaration/specialReport'], resolve)
        },
        {
            meta: {
                name: '市场决策会',
                keepAlive: false
            },
            path: '/marketDecisionMeeting',
            name: 'marketDecisionMeeting',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/meetingDeclaration/marketDecisionMeeting'], resolve)
        },
        {
            meta: {
                name: '权益',
                keepAlive: false
            },
            path: '/redir',
            name: 'redir',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/redir/redir'], resolve)
        },
        {
            meta: { name: '重点攻坚渠道合作率', keepAlive: false },
            path: '/keyChannelHome',
            name: 'keyChannelHome',
            redirect: 'onlineExcel',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/keyChannelCoop/home.vue'], resolve),
            children: [
                {
                    meta: { name: '在线表格', keepAlive: false },
                    path: '/onlineExcel',
                    name: 'onlineExcel',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/keyChannelCoop/onlineExcel'], resolve)
                },
                {
                    meta: { name: '附件统计', keepAlive: false },
                    path: '/appendix',
                    name: 'appendix',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/keyChannelCoop/appendix'], resolve)
                },
            ]
        },
        {
            meta: {
                name: '在线表格详情',
                keepAlive: false
            },
            path: '/onlineExcelInfo',
            name: 'onlineExcelInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/keyChannelCoop/onlineExcelInfo'], resolve)
        },
        {
            meta: { name: '反诈骗处罚报表', keepAlive: false },
            path: '/antiSpoofing',
            name: 'antiSpoofing',
            redirect: 'districtCounty',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/antiSpoofing/home.vue'], resolve),
            children: [
                {
                    meta: { name: '地市公司-区县考核报表', keepAlive: false },
                    path: '/districtCounty',
                    name: 'districtCounty',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/antiSpoofing/districtCounty'], resolve)
                },
                {
                    meta: { name: '地市公司-人员考核报表', keepAlive: false },
                    path: '/personnel',
                    name: 'personnel',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/antiSpoofing/personnel'], resolve)
                },
                {
                    meta: { name: '地市公司-渠道考核报表', keepAlive: false },
                    path: '/channel',
                    name: 'channel',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/antiSpoofing/channel'], resolve)
                },
                {
                    meta: { name: '省公司处罚台账', keepAlive: false },
                    path: '/standingBook',
                    name: 'standingBook',
                    component: (resolve) => require( /* webpackChunkName: "system" */
                        ['../pages/main/antiSpoofing/standingBook'], resolve)
                }
            ]
        },
        {
            meta: { name: '日志查询', keepAlive: false },
            path: '/logQueryList',
            name: 'logQueryList',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/logQuery/logQueryList.vue'], resolve)
        },
        {
            meta: {
                name: '魔百和列表',
                keepAlive: false
            },
            path: '/CMkMagicBoxTop1',
            name: 'CMkMagicBoxTop1',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/mbh/CMkMagicBoxTop'], resolve)
        }, {
            meta: {
                name: '存量运营列表',
                keepAlive: false
            },
            path: '/stockOperate',
            name: 'stockOperate',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/stockOperate/stockOperate'], resolve)
        }, {
            meta: {
                name: '存量运营办结',
                keepAlive: false
            },
            path: '/stockHandle',
            name: 'stockHandle',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/stockOperate/stockHandle'], resolve)
        },
        {
            meta: {
                name: '经分文件收集',
                keepAlive: false
            },
            path: '/collect',
            name: 'collect',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/collect/index'], resolve)
        },

        {
            meta: {
                name: '存量运营地市列表',
                keepAlive: false
            },
            path: '/stockOperateCityList',
            name: 'stockOperateCityList',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/stockOperate/stockOperateCityList'], resolve)
        },

        {
            meta: { name: '版权事件备案', keepAlive: false },
            path: '/iptv',
            name: 'iptv',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/iptv/index.vue'], resolve)
        },
        {
            meta: { name: '上线审批', keepAlive: false },
            path: '/planApproval',
            name: 'planApproval',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/iptv/planApproval.vue'], resolve)
        },
        {
            meta: {
                name: '魔百和APK版本升级和应用上线测试',
                keepAlive: false
            },
            path: '/apkTestMain',
            name: 'apkTestMain',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/apkTestMain/index'], resolve)
        },
        {
            meta: { name: '收入模板', keepAlive: false },
            path: '/incomeExcelHome',
            name: 'incomeExcelHome',
            redirect: 'incomeExcelTemplate',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/incomeExcel/home.vue'], resolve),
            children: [
                {
                    meta: { name: '收入模板管理', keepAlive: false },
                    path: '/incomeExcelTemplate',
                    name: 'incomeExcelTemplate',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/incomeExcel/incomeExcelTemplate'], resolve)
                },
                {
                    meta: { name: '收入信息收集', keepAlive: false },
                    path: '/incomeExcelIssued',
                    name: 'incomeExcelIssued',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/incomeExcel/incomeExcelIssued'], resolve)
                }, {
                    meta: { name: '收入信息发布', keepAlive: false },
                    path: '/incomeExcelView',
                    name: 'incomeExcelView',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/incomeExcel/incomeExcelView'], resolve)
                },
                {
                    meta: { name: '收入附件收集', keepAlive: false },
                    path: '/incomeExcelAppendix',
                    name: 'incomeExcelAppendix',
                    component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/incomeExcel/incomeExcelAppendix'], resolve)
                },
            ]
        },
        {
            meta: {
                name: '模板详情',
                keepAlive: false
            },
            path: '/incomeExcelInfo',
            name: 'incomeExcelInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/incomeExcel/incomeExcelInfo'], resolve)
        },
        {
            meta: {
                name: '下发模板详情',
                keepAlive: false
            },
            path: '/incomeExcelViewInfo',
            name: 'incomeExcelViewInfo',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/incomeExcel/incomeExcelViewInfo'], resolve)
        },
        {
            meta: { name: '需求申请单', keepAlive: false },
            path: '/demandHome',
            name: 'demandHome',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/demand/demandHome.vue'], resolve)
        }, {
            meta: { name: '需求申请单s', keepAlive: false },
            path: '/demandHomes',
            name: 'demandHomes',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/demand/demandHomes.vue'], resolve)
        },
        {
            meta: { name: '报表', keepAlive: false },
            path: '/reportForm',
            name: 'reportForm',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/demand/reportForm.vue'], resolve)
        },
        {
            meta: { name: '支撑状态', keepAlive: false },
            path: '/supportState',
            name: 'supportState',
            component: (resolve) => require( /* webpackChunkName: "system" */
                ['../pages/main/leader/demand/supportState.vue'], resolve)
        },
        {
            meta: {
                name: '在线文档',
                keepAlive: false
            },
            path: '/onlineShareExcel',
            name: 'onlineShareExcel',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/onlineExcel/index'], resolve)
        },
        {
            meta: {
                name: '在线文档(市场)',
                keepAlive: false
            },
            path: '/onlineShareExcelMarket',
            name: 'onlineShareExcelMarket',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/onlineExcelMarket/index'], resolve)
        },
        {
            meta: {
                name: '可视化表单',
                keepAlive: false
            },
            path: '/form',
            name: 'form',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/formMaking/index'], resolve)
        },
        {
            path: '/workflowdef',
            name: 'workflowdef',

            component: resolve => require(['../pages/main/workflowdef/index.vue'], resolve),
            meta: { title: '流程模型' }
        },
        {
            path: '/processinst',
            name: 'processinst',

            component: resolve => require(['../pages/main/processinst/index.vue'], resolve),
            meta: { title: '流程部署' }
        },
        {
            meta: { name: '广告管理工作流', keepAlive: false },
            path: '/advertisements',
            name: 'advertisements',
            component: (resolve) => require( /* webpackChunkName: "system" */['../pages/main/terminals/advertisements'], resolve)
        },
        {
            path: '/processruns',
            name: 'processruns',

            component: resolve => require(['../pages/main/processruns/processruns.vue'], resolve),
            meta: { title: '运行流程' }
        }
    ]
},
{
    path: '/login',
    name: 'login',
    component: Login
}
]

const router = new VueRouter({
    mode: 'hash',
    base: process.env.BASE_URL,
    routes
})
let menuList = [];
router.beforeEach((to, from, next) => {
    if (to.name == 'login') {
        //window.location.href = "http://cas.hl.cmcc/cas/login?service=?service=http%3A%2F%2F10.230.26.15%3A8000%2Fspfm%2Fsysmgr%2FssLogin%3FsysFlag%3D0"
        next()
    } else {
        // if (window.location.href.indexOf('?agileauthtoken=') == -1) {
        if (window.sessionStorage.agileauthtoken == undefined) {
            // window.location.href = "http://10.230.26.15:8000/spfm/sysmgr/ssLogin?sysFlag=0";
            next()
            //window.location.href = "http://cas.hl.cmcc/cas/login?service=?service=http%3A%2F%2F10.230.26.15%3A8000%2Fspfm%2Fsysmgr%2FssLogin%3FsysFlag%3D0"
        } else {
            next()
        }

        // if (window.sessionStorage.agileauthtoken == undefined) {
        //      router.push('/login')
        //     next()
        // } else {
        //     next()
        //权限控制 过于霸道暂时注释
        // let toNext = false;
        // let Menus = JSON.parse(window.sessionStorage.childrenMenus);
        // for (let i = 0; i < Menus.length; i++) {
        //     if(Menus[i].jspUrl == to.path){
        //         toNext = true;
        //         break;
        //     }
        // }
        // if (toNext) {
        //     next()
        // } else {
        //     alert('暂无使用权限');
        // }
        // }
    }
    // let menus = JSON.parse(window.sessionStorage.menus);
    // menuList = [];
    // callmenus(menus);
    // for(let n=0;n<menuList.length;n++){
    //     if (to.name == menuList[n].rountPath && window.sessionStorage.agileauthtoken) {
    //         next(resolve)
    //     }
    // }
});

function callmenus(v) {
    for (let i = 0; i < v.length; i++) {
        if (v[i].rountPath) {
            menuList.push({ name: v[i].name, rountPath: v[i].rountPath });
        }
        if (v[i].children.length > 0) {
            callmenus(v[i].children);
        }
    }
}


const originalReplace = VueRouter.prototype.replace
VueRouter.prototype.replace = function replace(location) {
    return originalReplace.call(this, location).catch(err => err)
}
export default router
